Package org.h2gis.functions.spatial.distance

# Class MaxDistanceOp

java.lang.Object
org.h2gis.functions.spatial.distance.MaxDistanceOp

public class MaxDistanceOp extends Object
An operation to compute the maximum distance between two geometries. If the geometry 1 and geometry 2 is the same geometry the operation will return the distance between the two vertices most far from each other in that geometry.

Author:
  Erwan Bocher

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`MaxDistanceOp.MaxDistanceFilter`

## Constructor Summary

Constructors
Constructor
Description
`MaxDistanceOp(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)`

## Method Summary

Modifier and Type
Method
Description
`org.locationtech.jts.geom.Coordinate[]`
`getCoordinatesDistance()`
Return the two coordinates to build the max distance line
`Double`
`getDistance()`
Return the max distance

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxDistanceOp

public MaxDistanceOp(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)

## Method Details

### getDistance

public Double getDistance()
Return the max distance

Returns:

### getCoordinatesDistance

public org.locationtech.jts.geom.Coordinate[] getCoordinatesDistance()
Return the two coordinates to build the max distance line

Returns: